<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:keepScreenOn="true"
    tools:background="@color/black">

    <ImageView
        android:id="@+id/iv_cover"
        android:layout_width="0dp"
        android:layout_height="0dp"
        android:contentDescription="@null"
        android:scaleType="centerCrop"
        android:visibility="gone"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/ll_top" />

    <View
        android:layout_width="0dp"
        android:layout_height="0dp"
        android:background="@color/color_44000000"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/ll_top" />

    <androidx.recyclerview.widget.RecyclerView
        android:id="@+id/rv_chat"
        android:layout_width="0dp"
        android:layout_height="0dp"
        android:layout_marginBottom="6.7dp"
        android:nestedScrollingEnabled="false"
        android:paddingStart="20dp"
        android:paddingEnd="0dp"
        app:layout_constraintBottom_toTopOf="@+id/rl_input_chat"
        app:layout_constraintEnd_toStartOf="@+id/ll_option_buttons"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/ll_top"
        app:layout_goneMarginEnd="0dp" />

    <LinearLayout
        android:id="@+id/ll_top"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:background="@drawable/bg_top_round_corner_16_7_222222"
        android:orientation="vertical"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent">

        <RelativeLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginTop="16.7dp"
            android:paddingHorizontal="13.3dp">

            <TextView
                android:id="@+id/tv_quit"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_alignParentStart="true"
                android:background="@drawable/bg_round_corner_13_3_transparent_ff5c49"
                android:fontFamily="@font/gmarket_sans_medium"
                android:paddingHorizontal="11dp"
                android:paddingVertical="7dp"
                android:text="나가기"
                android:textColor="@color/color_ff5c49"
                android:textSize="10sp"
                tools:ignore="SmallSp" />

            <LinearLayout
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_alignParentEnd="true"
                android:layout_marginStart="6.7dp"
                android:layout_toEndOf="@+id/tv_quit"
                android:gravity="end"
                android:orientation="horizontal">

                <TextView
                    android:id="@+id/tv_bg_switch"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginEnd="10dp"
                    android:background="@drawable/bg_round_corner_13_3_transparent_bbbbbb"
                    android:fontFamily="@font/gmarket_sans_medium"
                    android:gravity="center"
                    android:paddingHorizontal="11dp"
                    android:paddingVertical="7dp"
                    android:text="배경 OFF"
                    android:textColor="@color/color_eeeeee"
                    android:textSize="10sp"
                    tools:ignore="SmallSp" />

                <ImageView
                    android:id="@+id/iv_share"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginEnd="10dp"
                    android:background="@drawable/bg_round_corner_13_3_transparent_bbbbbb"
                    android:contentDescription="@null"
                    android:paddingHorizontal="11dp"
                    android:paddingVertical="5dp"
                    android:src="@drawable/ic_share" />

                <ImageView
                    android:id="@+id/iv_edit"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:background="@drawable/bg_round_corner_13_3_transparent_bbbbbb"
                    android:contentDescription="@null"
                    android:paddingHorizontal="11dp"
                    android:paddingVertical="5dp"
                    android:src="@drawable/ic_edit"
                    android:visibility="gone" />
            </LinearLayout>
        </RelativeLayout>

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginHorizontal="13.3dp"
            android:layout_marginTop="10.7dp"
            android:orientation="horizontal">

            <TextView
                android:id="@+id/tv_19"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginEnd="5.3dp"
                android:background="@drawable/bg_round_corner_2_6_601d14"
                android:paddingHorizontal="5.3dp"
                android:paddingVertical="3.3dp"
                android:text="19"
                android:textColor="@color/color_e33621"
                android:visibility="gone" />

            <TextView
                android:id="@+id/tv_title"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:ellipsize="end"
                android:fontFamily="@font/gmarket_sans_bold"
                android:lineSpacingExtra="3.3sp"
                android:maxLines="1"
                android:textColor="@color/color_eeeeee"
                android:textSize="15.3sp"
                tools:text="🧸여자들이 좋아하는 남자 스타일은?" />
        </LinearLayout>

        <RelativeLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginTop="10.7dp"
            android:paddingHorizontal="13.3dp">

            <ImageView
                android:id="@+id/iv_creator_profile"
                android:layout_width="33.3dp"
                android:layout_height="33.3dp"
                android:layout_alignParentStart="true"
                android:layout_centerVertical="true"
                android:contentDescription="@null" />

            <TextView
                android:id="@+id/tv_creator_nickname"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_centerVertical="true"
                android:layout_marginStart="5.3dp"
                android:layout_toStartOf="@+id/iv_creator_follow"
                android:layout_toEndOf="@+id/iv_creator_profile"
                android:drawablePadding="5.3dp"
                android:ellipsize="end"
                android:fontFamily="@font/gmarket_sans_light"
                android:maxLines="1"
                android:textColor="@color/color_eeeeee"
                android:textSize="12sp"
                app:drawableStartCompat="@drawable/ic_crown"
                tools:text="란월" />

            <ImageView
                android:id="@+id/iv_creator_follow"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_alignParentEnd="true"
                android:layout_centerVertical="true"
                android:contentDescription="@null"
                tools:src="@drawable/btn_following" />
        </RelativeLayout>

        <View
            android:layout_width="match_parent"
            android:layout_height="1dp"
            android:layout_marginHorizontal="13.3dp"
            android:layout_marginVertical="8dp"
            android:background="@color/color_26909090" />

        <RelativeLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:paddingHorizontal="13.3dp">

            <ImageView
                android:id="@+id/iv_notification"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_alignParentStart="true"
                android:layout_centerVertical="true"
                android:contentDescription="@null"
                android:src="@drawable/ic_notice_normal" />

            <LinearLayout
                android:id="@+id/ll_donation"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginEnd="8dp"
                android:layout_toStartOf="@+id/ll_view_users"
                android:background="@drawable/bg_round_corner_15_transparent_bbbbbb"
                android:gravity="center"
                android:paddingHorizontal="10dp"
                android:paddingVertical="5.3dp"
                tools:ignore="RelativeOverlap">

                <ImageView
                    android:layout_width="16dp"
                    android:layout_height="16dp"
                    android:contentDescription="@null"
                    android:src="@drawable/ic_can" />

                <TextView
                    android:id="@+id/tv_total_can"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="6.7dp"
                    android:gravity="center_vertical"
                    android:textColor="@color/color_bbbbbb"
                    tools:text="999,999,999,999" />
            </LinearLayout>

            <LinearLayout
                android:id="@+id/ll_view_users"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_alignParentEnd="true"
                android:layout_centerVertical="true"
                android:background="@drawable/bg_round_corner_15_transparent_bbbbbb"
                android:orientation="horizontal"
                android:paddingHorizontal="11dp"
                android:paddingVertical="7dp"
                tools:ignore="RelativeOverlap">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:fontFamily="@font/gmarket_sans_medium"
                    android:text="참여자"
                    android:textColor="@color/color_eeeeee"
                    android:textSize="12sp" />

                <TextView
                    android:id="@+id/tv_participate"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="6.7dp"
                    android:fontFamily="@font/gmarket_sans_medium"
                    android:textColor="@color/color_9970ff"
                    android:textSize="12sp"
                    tools:ignore="RelativeOverlap"
                    tools:text="18" />
            </LinearLayout>
        </RelativeLayout>

        <ScrollView
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginTop="10dp"
            android:scrollbars="none">

            <RelativeLayout
                android:id="@+id/rl_notice"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:background="@color/color_3d2a6c"
                android:paddingHorizontal="26.7dp"
                android:paddingVertical="13.3dp">

                <TextView
                    android:id="@+id/tv_notice_big"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:fontFamily="@font/gmarket_sans_bold"
                    android:text="[공지] "
                    android:textColor="@color/white"
                    android:textSize="11.3sp" />

                <TextView
                    android:id="@+id/tv_notice"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_toEndOf="@+id/tv_notice_big"
                    android:ellipsize="end"
                    android:fontFamily="@font/gmarket_sans_light"
                    android:lineSpacingExtra="4dp"
                    android:maxLines="1"
                    android:textColor="@color/white"
                    android:textSize="11.3sp"
                    tools:text="jkljkljkljkljkljkljkl" />
            </RelativeLayout>
        </ScrollView>

        <RelativeLayout
            android:id="@+id/rl_speaker"
            android:layout_width="match_parent"
            android:layout_height="wrap_content">

            <TextView
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginStart="26.7dp"
                android:layout_marginTop="20dp"
                android:fontFamily="@font/gmarket_sans_bold"
                android:text="스피커"
                android:textColor="@color/color_eeeeee"
                android:textSize="12sp" />
        </RelativeLayout>


        <androidx.recyclerview.widget.RecyclerView
            android:id="@+id/rv_speakers"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginHorizontal="26.7dp"
            android:clipToPadding="true"
            android:paddingVertical="13.3dp" />
    </LinearLayout>

    <RelativeLayout
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/ll_top">

        <TextView
            android:id="@+id/tv_speaker_fold"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignParentEnd="true"
            android:background="@drawable/bg_bottom_round_corner_10_222222"
            android:drawablePadding="6.7dp"
            android:paddingHorizontal="13.3dp"
            android:paddingVertical="6.7dp"
            android:text="접기"
            android:textColor="@color/color_bbbbbb"
            android:textSize="13.3sp"
            app:drawableStartCompat="@drawable/ic_live_detail_top" />
    </RelativeLayout>

    <ImageView
        android:id="@+id/iv_noti_microphone_mute"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginTop="25dp"
        android:contentDescription="@null"
        android:src="@drawable/img_noti_mute"
        android:visibility="gone"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

    <LinearLayout
        android:id="@+id/ll_option_buttons"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:orientation="vertical"
        android:paddingStart="6.7dp"
        android:paddingEnd="13.3dp"
        app:layout_constraintBottom_toTopOf="@+id/rl_input_chat"
        app:layout_constraintEnd_toEndOf="parent">

        <FrameLayout
            android:id="@+id/fl_microphone_mute"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginBottom="13.3dp"
            android:background="@drawable/bg_round_corner_10_99525252"
            android:padding="11.7dp"
            android:visibility="gone">

            <ImageView
                android:id="@+id/iv_microphone_mute"
                android:layout_width="26.7dp"
                android:layout_height="26.7dp"
                android:layout_gravity="center"
                android:contentDescription="@null"
                android:src="@drawable/ic_mic_on" />
        </FrameLayout>

        <FrameLayout
            android:id="@+id/fl_speaker_mute"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginBottom="13.3dp"
            android:background="@drawable/bg_round_corner_10_99525252"
            android:padding="11.7dp">

            <ImageView
                android:id="@+id/iv_speaker_mute"
                android:layout_width="26.7dp"
                android:layout_height="26.7dp"
                android:layout_gravity="center"
                android:contentDescription="@null"
                android:src="@drawable/ic_speaker_on" />
        </FrameLayout>

        <FrameLayout
            android:id="@+id/fl_donation"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginBottom="13.3dp"
            android:background="@drawable/bg_round_corner_10_99525252"
            android:padding="11.7dp">

            <ImageView
                android:layout_width="26.7dp"
                android:layout_height="26.7dp"
                android:layout_gravity="center"
                android:contentDescription="@null"
                android:src="@drawable/ic_donation" />
        </FrameLayout>

        <FrameLayout
            android:id="@+id/fl_donation_message_list"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginBottom="13.3dp"
            android:background="@drawable/bg_round_corner_10_99525252"
            android:padding="11.7dp"
            android:visibility="gone">

            <ImageView
                android:id="@+id/iv_donation_message_list"
                android:layout_width="26.7dp"
                android:layout_height="26.7dp"
                android:layout_gravity="center"
                android:contentDescription="@null"
                android:src="@drawable/ic_donation_message_list" />
        </FrameLayout>
    </LinearLayout>

    <TextView
        android:id="@+id/tv_new_chat"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginBottom="13.3dp"
        android:background="@drawable/bg_round_corner_16_7_cc555555"
        android:drawablePadding="6.7dp"
        android:paddingHorizontal="13.3dp"
        android:paddingVertical="8dp"
        android:text="새로운 채팅"
        android:textColor="@color/color_eeeeee"
        android:visibility="gone"
        app:drawableStartCompat="@drawable/ic_bottom_white"
        app:layout_constraintBottom_toTopOf="@+id/rl_input_chat"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent" />

    <RelativeLayout
        android:id="@+id/rl_input_chat"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_marginBottom="13.3dp"
        android:paddingHorizontal="13.3dp"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent">

        <EditText
            android:id="@+id/et_chat"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:background="@drawable/bg_round_corner_10_232323_eeeeee"
            android:fontFamily="@font/gmarket_sans_medium"
            android:gravity="center_vertical"
            android:hint="채팅을 입력하세요"
            android:importantForAutofill="no"
            android:inputType="text|textMultiLine"
            android:paddingVertical="16.7dp"
            android:paddingStart="13.3dp"
            android:paddingEnd="45dp"
            android:textColor="@color/color_eeeeee"
            android:textColorHint="@color/color_777777"
            android:textCursorDrawable="@drawable/edit_text_cursor"
            android:textSize="13.3sp"
            android:theme="@style/EditTextStyle"
            tools:ignore="LabelFor" />

        <ImageView
            android:id="@+id/iv_send"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignParentEnd="true"
            android:layout_centerVertical="true"
            android:layout_marginEnd="6dp"
            android:contentDescription="@null"
            android:src="@drawable/btn_message_send" />
    </RelativeLayout>
</androidx.constraintlayout.widget.ConstraintLayout>
